Subject: [shim6] shim6 over 6to4

From: Iljitsch van Beijnum <[email-masked]>
Date: Mon, 1 Jun 2009 17:11:12 +0200

Erik and I had a short discussion in San Francisco on using shim6 with  
an IPv6 identifier and IPv4 locators. A good way to do this would be  
by running shim6 over 6to4, as the HBA protects the 6to4 addresses  
like normal and the 6to4 address maps directly to an IPv4 address.

I don't remember the details, but I came up with a rather convoluted  
way to do this and then when I started to write it down all of the  
complexity didn't seem necessary: simply run shim6 over 6to4. The main  
issue getting the packets with the right 6to4 addresses to the right  
routers with the right IPv4 addresses (assuming the host doesn't have  
two IPv4 addresses). Other than that, maybe some RFC 3484 preference  
magic could be useful.

Would it make sense to write down how this should work as an  
informational document?